%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:          jgroups-azure
Version:       1.0.0
Release:       1%{?dist}
Summary:       Implementation of Azure ping protocol using Azure Storage blobs
License:       ASL 2.0
URL:           http://www.jgroups.org/
Source0:       https://github.com/jgroups-extras/jgroups-azure/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz

# IllegalArgumentException: Account name and key must be configured @ AZURE_PINGDiscoveryTest.testDiscovery
Patch0:        jgroups-azure-1.0.0-fix-test-failure.patch

BuildRequires: maven-local
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-core)
BuildRequires: mvn(com.microsoft.azure:azure-storage) >= 4.0.0
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.commons:commons-lang3)
BuildRequires: mvn(org.jboss:jboss-parent:pom:)
BuildRequires: mvn(org.jgroups:jgroups)

BuildArch:     noarch

%description
Implementation of the JGroups Discovery protocol
for Azure based on blob storage service.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%package parent
Summary:       JGroups Azure Parent POM

%description parent
JGroups Azure Parent POM.

%prep
%setup -q -n %{name}-%{namedversion}

%patch0 -p1

# These resources are already available in wildfly source archive
%pom_disable_module dist

%mvn_file :%{name} %{name}

%build

%mvn_build -s

%install
%mvn_install

%files -f .mfiles-%{name}
%doc DESIGN.md README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%files parent -f .mfiles-%{name}-parent
%license LICENSE

%changelog
* Sat Aug 20 2016 gil cattaneo <puntogil@libero.it> 1.0.0-1
- initial rpm

